***Set the working directory to the folder with the files

***Figure 1
use "Data_experiment1.dta", replace
gen absdeviationsearchfromT=abs(search -searchT)
gen oversearch=0
replace oversearch=1 if search>searchT

gen deviationsearchfromT=search -searchT

cibar deviationsearchfromT if treatment!=3, over1(treatment) over2(costx)
graph save Graph "g11.gph", replace
cibar absdeviationsearchfromT if treatment!=3, over1(treatment) over2(costx)
graph save Graph "g12.gph", replace
grc1leg "g11.gph" "g12.gph"

***Tests for left panel figure 1
reg deviationsearchfromT treatment2 if treatment!=3&costx==0.5, cluster(group)
reg deviationsearchfromT treatment2 if treatment!=3&costx==2.3, cluster(group)
***Tests for right panel figure 1
reg absdeviationsearchfromT treatment2 if treatment!=3&costx==0.5, cluster(group)
reg absdeviationsearchfromT treatment2 if treatment!=3&costx==2.3, cluster(group)





****Tests from text above Table 3 concerning search
use "Data_experiment1.dta", replace
reg search treatment if treatment!=2&costx==0.5&tier==2, cluster(group)
reg search treatment if treatment!=2&costx==0.5&tier==1, cluster(group)
reg search treatment if treatment!=2&costx==2.3&tier==1, cluster(group)
reg search treatment if treatment!=2&costx==2.3&tier==2, cluster(group)
reg search treatment if treatment!=1&costx==2.3&tier==1, cluster(group)
reg search treatment if treatment!=1&costx==2.3&tier==2, cluster(group)




*****Table 3
use "Data_experiment1.dta", replace
***reshapedatabase to make it panel data where each line is the search
***start with school1
gen currentschool=1
gen dummysearch=0
replace dummysearch=1 if sresult1==1|sresult2==1|sresult3==1|sresult4==1|sresult5==1|sresult1==6
gen cutoffatschool=cutoff1
gen rankatschool=rcutoff1
gen rankschooltrue=0
replace rankschooltrue=1 if pref1==1
replace rankschooltrue=2 if pref2==1
replace rankschooltrue=3 if pref3==1
replace rankschooltrue=4 if pref4==1
replace rankschooltrue=5 if pref5==1
replace rankschooltrue=6 if pref6==1


gen rankschoolreport=0
replace rankschoolreport=1 if choice1==1
replace rankschoolreport=2 if choice2==1
replace rankschoolreport=3 if choice3==1
replace rankschoolreport=4 if choice4==1
replace rankschoolreport=5 if choice5==1
replace rankschoolreport=6 if choice6==1
 drop if treatment<3
save "reshapdataschool1tomatch.dta", replace
use "Data_experiment1.dta", clear

gen currentschool=2
gen dummysearch=0
replace dummysearch=1 if sresult1==2|sresult2==2|sresult3==2|sresult4==2|sresult5==2|sresult6==2
gen cutoffatschool=cutoff2
gen rankatschool=rcutoff2
gen rankschooltrue=0
replace rankschooltrue=1 if pref1==2
replace rankschooltrue=2 if pref2==2
replace rankschooltrue=3 if pref3==2
replace rankschooltrue=4 if pref4==2
replace rankschooltrue=5 if pref5==2
replace rankschooltrue=6 if pref6==2


gen rankschoolreport=0
replace rankschoolreport=1 if choice1==2
replace rankschoolreport=2 if choice2==2
replace rankschoolreport=3 if choice3==2
replace rankschoolreport=4 if choice4==2
replace rankschoolreport=5 if choice5==2
replace rankschoolreport=6 if choice6==2
 drop if treatment<3
 append using "reshapdataschool1tomatch.dta", generate(apendres)
save "reshapdataschool1tomatch.dta", replace

use "Data_experiment1.dta", clear
gen currentschool=3
gen dummysearch=0
replace dummysearch=1 if sresult1==3|sresult2==3|sresult3==3|sresult4==3|sresult5==3|sresult6==3
gen cutoffatschool=cutoff3
gen rankatschool=rcutoff3
gen rankschooltrue=0
replace rankschooltrue=1 if pref1==3
replace rankschooltrue=2 if pref2==3
replace rankschooltrue=3 if pref3==3
replace rankschooltrue=4 if pref4==3
replace rankschooltrue=5 if pref5==3
replace rankschooltrue=6 if pref6==3


gen rankschoolreport=0
replace rankschoolreport=1 if choice1==3
replace rankschoolreport=2 if choice2==3
replace rankschoolreport=3 if choice3==3
replace rankschoolreport=4 if choice4==3
replace rankschoolreport=5 if choice5==3
replace rankschoolreport=6 if choice6==3
 drop if treatment<3
 append using "reshapdataschool1tomatch.dta", generate(apendres)
save "reshapdataschool1tomatch.dta", replace

use "Data_experiment1.dta", clear
gen currentschool=4
gen dummysearch=0
replace dummysearch=1 if sresult1==4|sresult2==4|sresult3==4|sresult4==4|sresult5==4|sresult6==4
gen cutoffatschool=cutoff4
gen rankatschool=rcutoff4
gen rankschooltrue=0
replace rankschooltrue=1 if pref1==4
replace rankschooltrue=2 if pref2==4
replace rankschooltrue=3 if pref3==4
replace rankschooltrue=4 if pref4==4
replace rankschooltrue=5 if pref5==4
replace rankschooltrue=6 if pref6==4


gen rankschoolreport=0
replace rankschoolreport=1 if choice1==4
replace rankschoolreport=2 if choice2==4
replace rankschoolreport=3 if choice3==4
replace rankschoolreport=4 if choice4==4
replace rankschoolreport=5 if choice5==4
replace rankschoolreport=6 if choice6==4
 drop if treatment<3
 append using "reshapdataschool1tomatch.dta", generate(apendres)
save "reshapdataschool1tomatch.dta", replace

use "Data_experiment1.dta", clear
gen currentschool=5
gen dummysearch=0
replace dummysearch=1 if sresult1==5|sresult2==5|sresult3==5|sresult4==5|sresult5==5|sresult6==5
gen cutoffatschool=cutoff5
gen rankatschool=rcutoff5
gen rankschooltrue=0
replace rankschooltrue=1 if pref1==5
replace rankschooltrue=2 if pref2==5
replace rankschooltrue=3 if pref3==5
replace rankschooltrue=4 if pref4==5
replace rankschooltrue=5 if pref5==5
replace rankschooltrue=6 if pref6==5


gen rankschoolreport=0
replace rankschoolreport=1 if choice1==5
replace rankschoolreport=2 if choice2==5
replace rankschoolreport=3 if choice3==5
replace rankschoolreport=4 if choice4==5
replace rankschoolreport=5 if choice5==5
replace rankschoolreport=6 if choice6==5
 drop if treatment<3
 append using "reshapdataschool1tomatch.dta", generate(apendres)
save "reshapdataschool1tomatch.dta", replace

use "Data_experiment1.dta", clear
gen currentschool=6
gen dummysearch=0
replace dummysearch=1 if sresult1==5|sresult2==5|sresult3==5|sresult4==5|sresult5==5|sresult6==5
gen cutoffatschool=cutoff6
gen rankatschool=rcutoff6
gen rankschooltrue=0
replace rankschooltrue=1 if pref1==6
replace rankschooltrue=2 if pref2==6
replace rankschooltrue=3 if pref3==6
replace rankschooltrue=4 if pref4==6
replace rankschooltrue=5 if pref5==6
replace rankschooltrue=6 if pref6==6


gen rankschoolreport=0
replace rankschoolreport=1 if choice1==6
replace rankschoolreport=2 if choice2==6
replace rankschoolreport=3 if choice3==6
replace rankschoolreport=4 if choice4==6
replace rankschoolreport=5 if choice5==6
replace rankschoolreport=6 if choice6==6
 drop if treatment<3
 append using "reshapdataschool1tomatch.dta", generate(apendres)
save "reshapdataschool1tomatch.dta", replace


gen abovemark= cutoffatschool-mark
gen cutoffabovescore_dummy=0
replace cutoffabovescore_dummy=1 if abovemark>0

gen cutoffaboveonly=abovemark
replace cutoffaboveonly=0 if abovemark<0

gen cutoffbelowonly=-abovemark
replace cutoffbelowonly=0 if abovemark>0

eststo clear
probit dummysearch costx tier  cutoffabovescore_dummy , cluster(group)
eststo: mfx
estadd local samplel "All"

probit dummysearch   cutoffabovescore_dummy  if tier==2&costx==0.5, cluster(group)
eststo: mfx
estadd local samplel "Two Tiers&Low cost"

probit dummysearch   cutoffabovescore_dummy  if tier==2&costx==2.3, cluster(group)
eststo: mfx
estadd local samplel "Two Tiers&Low cost"

probit dummysearch   cutoffabovescore_dummy  if tier==1&costx==0.5, cluster(group)
eststo: mfx
estadd local samplel "One Tier&Low cost"

probit dummysearch  cutoffabovescore_dummy  if tier==1&costx==2.3, cluster(group)
eststo: mfx
estadd local samplel "One Tier&High cost"

probit dummysearch   costx tier  cutoffaboveonly cutoffbelowonly, cluster(group)
eststo: mfx
estadd local samplel "All"

probit dummysearch   costx tier  cutoffaboveonly cutoffbelowonly if tier==2, cluster(group)
eststo: mfx
estadd local samplel "Two tiers"

probit dummysearch   costx tier  cutoffaboveonly cutoffbelowonly if tier==1, cluster(group)
eststo: mfx
estadd local samplel "One tier"
esttab  using "cutoffmarkreg.tex", margin f scalars("N N"    "Sample samplel" ) b(%8.2f)  replace  compress  se label nonumbers star(* 0.10 ** 0.05 *** 0.01 ) nogap  







*****Table 4 
***preparation. Defining strategies 
use "Data_experiment1.dta",replace
*****strategies

****Table 4 content
tabulate market  treatment, summarize(optimalstr)
tabulate   treatment, summarize(optimalstr)
***Tests in Table 4
probit optimalstr treatment2 if treatment3==0&market==1, cluster(group)
probit optimalstr treatment2 if treatment1==0&market==1, cluster(group)
probit optimalstr treatment3 if treatment2==0&market==1, cluster(group)

probit optimalstr treatment2 if treatment3==0&market==2, cluster(group)
probit optimalstr treatment2 if treatment1==0&market==2, cluster(group)
probit optimalstr treatment3 if treatment2==0&market==2, cluster(group)

probit optimalstr treatment2 if treatment3==0&market==3, cluster(group)
probit optimalstr treatment2 if treatment1==0&market==3, cluster(group)
probit optimalstr treatment3 if treatment2==0&market==3, cluster(group)

probit optimalstr treatment2 if treatment3==0&market==4, cluster(group)
probit optimalstr treatment2 if treatment1==0&market==4, cluster(group)
probit optimalstr treatment3 if treatment2==0&market==4, cluster(group)

probit optimalstr treatment2 if treatment3==0, cluster(group)
probit optimalstr treatment2 if treatment1==0, cluster(group)
probit optimalstr treatment3 if treatment2==0, cluster(group)




******Figure 2
use "Data_experiment1.dta", replace
cibar payoffwcost, over1(treatment)
*Markers are added by hand in graph editor. To generate values for markers run the following command
tabulate   treatment, summarize(welfareT)



***Table 5
use "Data_experiment1.dta", replace
tabulate  market treatment, summarize(payoffwcost)
tabulate   treatment, summarize(payoffwcost)
********market by market test
reg payoffwcost treatment2 if treatment3==0&market==1, cluster(group)
reg payoffwcost treatment2 if treatment1==0&market==1, cluster(group)
reg payoffwcost treatment3 if treatment2==0&market==1, cluster(group)

reg payoffwcost treatment2 if treatment3==0&market==2, cluster(group)
reg payoffwcost treatment2 if treatment1==0&market==2, cluster(group)
reg payoffwcost treatment3 if treatment2==0&market==2, cluster(group)

reg payoffwcost treatment2 if treatment3==0&market==3, cluster(group)
reg payoffwcost treatment2 if treatment1==0&market==3, cluster(group)
reg payoffwcost treatment3 if treatment2==0&market==3, cluster(group)

reg payoffwcost treatment2 if treatment3==0&market==4, cluster(group)
reg payoffwcost treatment2 if treatment1==0&market==4, cluster(group)
reg payoffwcost treatment3 if treatment2==0&market==4, cluster(group)

reg payoffwcost treatment2 if treatment3==0, cluster(group)
reg payoffwcost treatment2 if treatment1==0, cluster(group)
reg payoffwcost treatment3 if treatment2==0, cluster(group)










***Figure 3
use "Data_experiment1.dta", replace
cibar upayoff , over1(treatment) 
graph save Graph "g31.gph", replace
cibar cost , over1(treatment) 
graph save Graph "g32.gph", replace
grc1leg "g31.gph" "g32.gph"
*Markers are added by hand in graph editor. To generate values for markers run the following command
tabulate   treatment if treatment3==0, summarize(costT)
gen unipayoffT=welfareT+costT
tabulate   treatment if treatment3==0, summarize(unipayoffT)



****Figure 4 for normalized efficiency
use "Data_experiment1.dta", replace
*** For efficiency 
gen sess_group_round= sessionid*10000+group*100+period

collapse  treatment order period tier  group  costx market (sum) costT payoffwcost (count) subject, by(sess_group_round)

gen maxpayoff=0
replace maxpayoff=348 if order==1&period==1
replace maxpayoff=348 if order==2&period==3

replace maxpayoff=354 if order==1&period==2
replace maxpayoff=354 if order==2&period==4

replace maxpayoff=354 if order==1&period==3
replace maxpayoff=354 if order==2&period==1

replace maxpayoff=330 if order==1&period==4
replace maxpayoff=330 if order==2&period==2

replace maxpayoff=444 if order==1&period==5
replace maxpayoff=444 if order==2&period==7

replace maxpayoff=444 if order==1&period==6
replace maxpayoff=444 if order==2&period==8

replace maxpayoff=438 if order==1&period==7
replace maxpayoff=438 if order==2&period==5

replace maxpayoff=420 if order==1&period==8
replace maxpayoff=420 if order==2&period==6


gen minpayoff=0
replace minpayoff=246 if order==1&period==1
replace minpayoff=246 if order==2&period==3

replace minpayoff=276 if order==1&period==2
replace minpayoff=276 if order==2&period==4

replace minpayoff=264 if order==1&period==3
replace minpayoff=264 if order==2&period==1

replace minpayoff=258 if order==1&period==4
replace minpayoff=258 if order==2&period==2

replace minpayoff=174 if order==1&period==5
replace minpayoff=173 if order==2&period==7

replace minpayoff=138 if order==1&period==6
replace minpayoff=138 if order==2&period==8

replace minpayoff=180 if order==1&period==7
replace minpayoff=180 if order==2&period==5

replace minpayoff=162 if order==1&period==8
replace minpayoff=162 if order==2&period==6

***adjusting fopr the drop due to ztree code error
replace maxpayoff=maxpayoff/12*10 if period==2&order==2
replace minpayoff=minpayoff/12*10 if period==2&order==2
replace maxpayoff=maxpayoff/12*10 if period==4&order==1
replace minpayoff=minpayoff/12*10 if period==4&order==1

gen maxpayoffminusoptcost=maxpayoff-costT
gen minpayoffminusmaxcost=minpayoff-costx*5*subject

gen efficiency=(payoffwcost-minpayoffminusmaxcost)/(maxpayoff-minpayoffminusmaxcost)

cibar efficiency, over1(treatment) 
















***Second experiment
****Figure 5
use "Data_experiment2.dta", clear
gen searchcateg=-1
replace searchcateg=0 if optimaldummy==1
replace searchcateg=1 if oversearchdummy==1

twoway (histogram searchcateg if tr==1, discrete), name(g1, replace)
twoway (histogram searchcateg if tr==2, discrete), name(g2, replace)
grc1leg g1 g2 

***Numbers for description of Figure 5 and tests
tabulate  searchcateg if tr==1
tabulate  searchcateg if tr==2
reg optimaldummy tr if tr!=3 , cluster(ss_group)
reg undersearchdummy tr if tr!=3 , cluster(ss_group)

reg oversearchdummy tr if tr!=3 , cluster(ss_group)
sum   oversearch if tr==1&oversearchdummy==1
sum   oversearch if tr==2&oversearchdummy==1
reg oversearch tr if tr!=3&oversearchdummy==1 , cluster(ss_group)

***Text about optimal strategies
tabulate   tr , summarize(optstr)
reg optstr tr if tr!=3 , cluster(ss_group)
reg optstr tr if tr!=1 , cluster(ss_group)
reg optstr tr if tr!=2 , cluster(ss_group)


***Figure 6 related text
use "Data_experiment2.dta", clear
cibar payoffwcost, over1(tr)


tabulate   tr, summarize(payoffwcost)
***Tests
reg payoffwcost tr if tr!=3 , cluster(ss_group)
reg payoffwcost tr if tr!=1 , cluster(ss_group)
reg payoffwcost tr if tr!=2 , cluster(ss_group)


***Tests below Figure 6
reg unipayoff tr if tr!=3 , cluster(ss_group)
reg unipayoff tr if tr!=1 , cluster(ss_group)
reg unipayoff tr if tr!=2 , cluster(ss_group)

reg cost tr if tr!=3 , cluster(ss_group)
reg cost tr if tr!=1 , cluster(ss_group)
reg cost tr if tr!=2 , cluster(ss_group)



